unbound-checkconf(8)

NAME
unbound-checkconf - Check unbound configuration file for errors.

SYNOPSIS
unbound-checkconf [-h] [cfgfile]

DESCRIPTION
Unbound-checkconf checks the configuration file for the unbound(8) DNS resolver for syntax and other errors. The config file syntax is described in unbound.conf(5).

The available options are:

-h  Show the version and commandline option help.

cfgfile
    The config file to read with settings for unbound. It is checked. If omitted, the config file at the default location is checked.

EXIT CODE
The unbound-checkconf program exits with status code 1 on error, 0 for a correct config file.

FILES

/etc/unbound/unbound.conf
    unbound configuration file.

SEE ALSO
unbound.conf(5), unbound(8).